figure
colormap([.5 .5 .5])
debtisnan = size(debtratio,1)-sum(isnan(debtratio));
freq = histc(debtratio,[0:1:200]);
freq = [0:200; freq']';
mode = max(freq(:,2));
mode = freq(find(freq(:,2) == mode),1);

hist(debtratio,[0:5:200]','FontWeight','bold','FontSize',14);
xlim([0 150]);
xlabel({'Debt to GDP ratio in %'}','FontWeight','bold','FontSize',14);
ylabel({'Number of country-year observations'}','FontWeight','bold','FontSize',14);
set(gcf, 'Color', 'w');
disp(['Distribution of D/Y ratios over all countries - Total Count: ' num2str(debtisnan) ' Mode at: ' num2str(mode) ' % D/Y']);
